package exception

func InternalError(msg string) BaseError {
	shortMsg := "系统异常，请联系管理员"
	return BaseError{Code: 500, Msg: msg, ShortMsg: shortMsg}
}

func ErrFetchUserInfo(msg string) BaseError {
	shortMsg := "用户信息获取失败"
	return BaseError{Code: 5001, Msg: msg, ShortMsg: shortMsg}
}

func ErrFetchFurries(msg string) BaseError {
	shortMsg := "获取Furry列表失败"
	return BaseError{Code: 5002, Msg: msg, ShortMsg: shortMsg}
}

func ErrUserMismatch(msg string) BaseError {
	shortMsg := "操作的两个用户不匹配"
	return BaseError{Code: 5003, Msg: msg, ShortMsg: shortMsg}
}

func ErrFetchStat(msg string) BaseError {
	shortMsg := "获取用户统计信息失败"
	return BaseError{Code: 5004, Msg: msg, ShortMsg: shortMsg}
}
