package util

import "time"

func ToSQLTimeFormat(t time.Time) string {
	return t.Format("2006-01-02 15:04:05")
}

func MustParseSQLTime(timeStr string) time.Time {
	timeObj, err := time.ParseInLocation("2006-01-02 15:04:05", timeStr, time.Local)
	if err != nil {
		panic(err)
	}
	return timeObj
}

func IsSQLTimeFormat(timeStr string) bool {
	_, err := time.ParseInLocation("2006-01-02 15:04:05", timeStr, time.Local)
	if err != nil {
		return false
	}
	return true
}
